Download it now!
Bug 30667 - About shows Oracle copyright.
Summary: About shows Oracle copyright.
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-06 15:08 UTC by pneukom
Modified: 2010-11-01 05:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pneukom 2010-10-06 15:08:59 UTC
In the Mac version LibreOffice 3.3.0 
OOO330m7 (Build:9526)

The About information shows:

Copyright © 2000, 2010 Oracle and/or its affiliates. All rights reserved.
This product was created by The Document Foundation, based on OpenOffice.org.
OpenOffice.org acknowledges all community members, especially those mentioned at
 http://www.openoffice.org/welcome/credits.html.

This should probably be updated to show LibreOffice information.
Comment 1 Thorsten Behrens (CIB) 2010-10-11 04:23:09 UTC
Hm - something a lawyer should have a look at, I guess - I mean, it *is* the case that much of the LibreOffice code is copyright Oracle (shared with tons of other people, of course - thus the link to the credits page). Let's see if we can sort that out for 3.3
Comment 2 Michael Meeks 2010-10-12 13:03:30 UTC
The informed consensus on an appropriate copyright notice is this:

"Copyright © 2000, 2010 LibreOffice contributors and/or their affiliates.
All rights reserved. This product was created by The Document
Foundation, based on OpenOffice.org, which is Copyright 2000, 2010
Oracle and/or its affiliates. The Document Foundation
acknowledges all community members, especially those mentioned at"

And of course we need a new URL to emphasis the cool-ness of all our new contributors - and (preferably) that URL should be click-able.

Thorsten - can you turn that into a patch ?
Comment 3 pneukom 2010-10-12 13:40:24 UTC
(In reply to comment #2)

That sounds better ... but I am not a lawyer.  

Out of curiosity did you run it past a lawyer?  

Did you review the http://www.openoffice.org/license.html ?  OOo was licensed jointly by Sun/Oracle and under the LGPL so there could be some sticky issues.  Since Oracle is so litigious, I highly recommend getting a lawyer to review LO's license.  

Perhaps the FSF.org would be willing to do the license review for LO?
Comment 4 Thorsten Behrens (CIB) 2010-10-20 02:51:41 UTC
Committed as proposed. Also there's a link to http://libreoffice.org/credits.html now.
Comment 5 pneukom 2010-10-20 07:33:08 UTC
(In reply to comment #4)
> Committed as proposed. Also there's a link to
> http://libreoffice.org/credits.html now.

Thanks.  Is there a reason why the link is "Access forbidden"?
Comment 6 sophie 2010-11-01 05:23:44 UTC
Verified in the 10_10_28_Cedric.rpm build. Closing - Sophie